# Note that this is NOT a relocatable package
%define ver      0.9.0
%define rel      1
%define prefix   /usr

Name:      fame
Summary:   Fast Assembly MPEG Encoder
Version:   %ver
Release:   %rel
Copyright: GPL
Group:     Applications/Graphics
Source:    http://fame.sourceforge.net/fame/download/%{name}-%{version}.tar.gz
URL:       http://fame.sourceforge.net
Packager:  Jan ONDREJ (SAL) <ondrejj@salstar.shadow.sk>
Buildroot: /tmp/%{name}-root
Docdir: %{prefix}/doc

%description
An MPEG encoder optimized for Pentium MMX technology.
It can capture video from various sources and create an MPEG video elementary
stream, which is then recorded in a file or sent over a network.
This is a beta release.

%prep
%setup -n %{name}-%{version}

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING CHANGES BUGS README TODO doc/
%{_bindir}/fame
%{prefix}/man/man1/*

%changelog
* Tue Aug 21 2001 Vivien Chappelier <vivien.chappelier@enst-bretagne.fr>
- updated to new release based on libfame
* Mon May 15 2000 Jan ONDREJ (SAL) <ondrejj@salstar.shadow.sk>
- added mpegnc binary
- added all modules in /usr/lib/fame/*/

